

#############################################################################################
#############################################################################################
##
## PROJECT-DEFINITIONS
##
#############################################################################################
#############################################################################################

GOFILES := $(shell find $(SOURCE_PATH) -name '*.go'  ! -name 'catalog.go')
LOCALEFILES := $(shell find $(SOURCE_PATH)translations/locales/ -name '*.json')
CATALOGFILES := $(SOURCE_PATH)translations/locales/catalog.go

$(CATALOGFILES): $(LOCALEFILES) $(GOFILES) 
	$(QUIET) $(GO) generate $(SOURCE_PATH)translations/translations.go
	$(QUIET) touch $(CATALOGFILES) $(LOCALEFILES) 